diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -4751,8 +4756,8 @@ as follo)108 597.6 Q(ws:)-.25 E F1(\\a)144 609.6 Q F0
 Q F0(the hostname)180 693.6 Q F1(\\j)144 705.6 Q F0
 (the number of jobs currently managed by the shell)180 705.6 Q F1(\\l)
 144 717.6 Q F0(the basename of the shell')180 717.6 Q 2.5(st)-.55 G
-(erminal de)-2.5 E(vice name)-.25 E(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(37)197.335 E 0 Cg EP
+(erminal de)-2.5 E(vice name)-.25 E(GNU Bash 4.4)72 768 Q
+(2017 October 7)143.735 E(37)192.895 E 0 Cg EP
 %%Page: 38 38
 %%BeginPageSetup
 BP
@@ -4771,10 +4776,10 @@ SF(\\n)144 84 Q F0(ne)180 84 Q(wline)-.25 E F1(\\r)144 96 Q F0
 180 Q F0(the v)180 180 Q(ersion of)-.15 E F1(bash)2.5 E F0
 (\(e.g., 2.00\))2.5 E F1(\\V)144 192 Q F0(the release of)180 192 Q F1
 (bash)2.5 E F0 2.5(,v)C(ersion + patch le)-2.65 E -.15(ve)-.25 G 2.5
-(l\().15 G(e.g., 2.00.0\))-2.5 E F1(\\w)144 204 Q F0 .115(the current w)
-180 204 R .115(orking directory)-.1 F 2.615(,w)-.65 G(ith)-2.615 E/F2 9
-/Times-Bold@0 SF($HOME)2.615 E F0(abbre)2.365 E .116
-(viated with a tilde \(uses the v)-.25 F .116(alue of the)-.25 F F2(PR)
+(l\().15 G(e.g., 2.00.0\))-2.5 E F1(\\w)144 204 Q F0 .116(the current w)
+180 204 R .116(orking directory)-.1 F 2.616(,w)-.65 G(ith)-2.616 E/F2 9
+/Times-Bold@0 SF($HOME)2.616 E F0(abbre)2.366 E .115
+(viated with a tilde \(uses the v)-.25 F .115(alue of the)-.25 F F2(PR)
 180 216 Q(OMPT_DIR)-.27 E(TRIM)-.36 E F0 -.25(va)2.25 G(riable\)).25 E
 F1(\\W)144 228 Q F0(the basename of the current w)180 228 Q
 (orking directory)-.1 E 2.5(,w)-.65 G(ith)-2.5 E F2($HOME)2.5 E F0
@@ -4789,76 +4794,76 @@ F1(\\\\)144 288 Q F0 2.5(ab)180 288 S(ackslash)-2.5 E F1(\\[)144 300 Q
 F0(be)180 300 Q 1.257(gin a sequence of non-printing characters, which \
 could be used to embed a terminal)-.15 F
 (control sequence into the prompt)180 312 Q F1(\\])144 324 Q F0
-(end a sequence of non-printing characters)180 324 Q .119
+(end a sequence of non-printing characters)180 324 Q .12
 (The command number and the history number are usually dif)108 340.8 R
-.12(ferent: the history number of a command is its)-.25 F 1.585(positio\
-n in the history list, which may include commands restored from the his\
-tory \214le \(see)108 352.8 R F2(HIST)4.084 E(OR)-.162 E(Y)-.315 E F0
+.119(ferent: the history number of a command is its)-.25 F 1.585(positi\
+on in the history list, which may include commands restored from the hi\
+story \214le \(see)108 352.8 R F2(HIST)4.085 E(OR)-.162 E(Y)-.315 E F0
 (belo)108 364.8 Q .541(w\), while the command number is the position in\
- the sequence of commands e)-.25 F -.15(xe)-.15 G .541
+ the sequence of commands e)-.25 F -.15(xe)-.15 G .54
 (cuted during the cur).15 F(-)-.2 E .546(rent shell session.)108 376.8 R
 .546(After the string is decoded, it is e)5.546 F .546
 (xpanded via parameter e)-.15 F .546(xpansion, command substitu-)-.15 F
-.351(tion, arithmetic e)108 388.8 R .352(xpansion, and quote remo)-.15 F
+.352(tion, arithmetic e)108 388.8 R .352(xpansion, and quote remo)-.15 F
 -.25(va)-.15 G .352(l, subject to the v).25 F .352(alue of the)-.25 F F1
-(pr)2.852 E(omptv)-.18 E(ars)-.1 E F0 .352(shell option \(see the)2.852
+(pr)2.852 E(omptv)-.18 E(ars)-.1 E F0 .351(shell option \(see the)2.852
 F(description of the)108 400.8 Q F1(shopt)2.5 E F0(command under)2.5 E
 F2(SHELL B)2.5 E(UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)
--.25 E/F4 10.95/Times-Bold@0 SF(READLINE)72 417.6 Q F0 .151
+-.25 E/F4 10.95/Times-Bold@0 SF(READLINE)72 417.6 Q F0 .15
 (This is the library that handles reading input when using an interacti)
-108 429.6 R .45 -.15(ve s)-.25 H .15(hell, unless the).15 F F1
-(\255\255noediting)2.65 E F0(option)2.65 E 1.208(is gi)108 441.6 R -.15
-(ve)-.25 G 3.708(na).15 G 3.708(ts)-3.708 G 1.208(hell in)-3.708 F -.2
-(vo)-.4 G 3.708(cation. Line).2 F 1.208
-(editing is also used when using the)3.708 F F1<ad65>3.709 E F0 1.209
-(option to the)3.709 F F1 -.18(re)3.709 G(ad).18 E F0 -.2(bu)3.709 G
-3.709(iltin. By).2 F(def)108 453.6 Q .851
+108 429.6 R .451 -.15(ve s)-.25 H .151(hell, unless the).15 F F1
+(\255\255noediting)2.651 E F0(option)2.651 E 1.209(is gi)108 441.6 R
+-.15(ve)-.25 G 3.709(na).15 G 3.709(ts)-3.709 G 1.209(hell in)-3.709 F
+-.2(vo)-.4 G 3.709(cation. Line).2 F 1.208
+(editing is also used when using the)3.709 F F1<ad65>3.708 E F0 1.208
+(option to the)3.708 F F1 -.18(re)3.708 G(ad).18 E F0 -.2(bu)3.708 G
+3.708(iltin. By).2 F(def)108 453.6 Q .851
 (ault, the line editing commands are similar to those of Emacs.)-.1 F
-3.351(Av)5.851 G .851(i-style line editing interf)-3.351 F .851
+3.351(Av)5.851 G .851(i-style line editing interf)-3.351 F .852
 (ace is also)-.1 F -.2(av)108 465.6 S 3.35(ailable. Line)-.05 F .85
 (editing can be enabled at an)3.35 F 3.35(yt)-.15 G .85(ime using the)
 -3.35 F F1 .85(\255o emacs)3.35 F F0(or)3.35 E F1 .85(\255o vi)3.35 F F0
 .85(options to the)3.35 F F1(set)3.35 E F0 -.2(bu)3.35 G(iltin).2 E
-(\(see)108 477.6 Q F2 .763(SHELL B)3.263 F(UIL)-.09 E .763(TIN COMMANDS)
--.828 F F0(belo)3.013 E 3.263(w\). T)-.25 F 3.263(ot)-.8 G .763(urn of)
+(\(see)108 477.6 Q F2 .762(SHELL B)3.262 F(UIL)-.09 E .762(TIN COMMANDS)
+-.828 F F0(belo)3.012 E 3.262(w\). T)-.25 F 3.263(ot)-.8 G .763(urn of)
 -3.263 F 3.263(fl)-.25 G .763
-(ine editing after the shell is running, use the)-3.263 F F1(+o)3.262 E
+(ine editing after the shell is running, use the)-3.263 F F1(+o)3.263 E
 (emacs)108 489.6 Q F0(or)2.5 E F1(+o vi)2.5 E F0(options to the)2.5 E F1
 (set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E F1(Readline Notation)87 506.4 Q
 F0 .463(In this section, the Emacs-style notation is used to denote k)
 108 518.4 R -.15(ey)-.1 G(strok).15 E 2.963(es. Control)-.1 F -.1(ke)
 2.963 G .463(ys are denoted by C\255)-.05 F F3 -.1(ke)C(y)-.2 E F0(,)A
-1.153(e.g., C\255n means Control\255N.)108 530.4 R(Similarly)6.153 E(,)
--.65 E F3(meta)4.033 E F0 -.1(ke)3.913 G 1.153(ys are denoted by M\255)
--.05 F F3 -.1(ke)C(y)-.2 E F0 3.652(,s)C 3.652(oM)-3.652 G 1.152
-(\255x means Meta\255X.)-3.652 F(\(On)6.152 E -.1(ke)108 542.4 S .83
-(yboards without a)-.05 F F3(meta)3.71 E F0 -.1(ke)3.59 G 2.13 -.65
-(y, M)-.05 H<ad>.65 E F3(x)A F0 .83(means ESC)3.33 F F3(x)3.33 E F0 3.33
-(,i)C .831(.e., press the Escape k)-3.33 F 1.131 -.15(ey t)-.1 H .831
-(hen the).15 F F3(x)4.101 E F0 -.1(ke)3.861 G 4.631 -.65(y. T)-.05 H
-.831(his mak).65 F(es)-.1 E .6(ESC the)108 554.4 R F3 .6(meta pr)3.1 F
-(e\214x)-.37 E F0 5.6(.T)C .6(he combination M\255C\255)-5.6 F F3(x)A F0
-.599(means ESC\255Control\255)3.099 F F3(x)A F0 3.099(,o)C 3.099(rp)
--3.099 G .599(ress the Escape k)-3.099 F .899 -.15(ey t)-.1 H .599
+1.152(e.g., C\255n means Control\255N.)108 530.4 R(Similarly)6.152 E(,)
+-.65 E F3(meta)4.032 E F0 -.1(ke)3.913 G 1.153(ys are denoted by M\255)
+-.05 F F3 -.1(ke)C(y)-.2 E F0 3.653(,s)C 3.653(oM)-3.653 G 1.153
+(\255x means Meta\255X.)-3.653 F(\(On)6.153 E -.1(ke)108 542.4 S .831
+(yboards without a)-.05 F F3(meta)3.711 E F0 -.1(ke)3.591 G 2.131 -.65
+(y, M)-.05 H<ad>.65 E F3(x)A F0 .831(means ESC)3.331 F F3(x)3.331 E F0
+3.331(,i)C .83(.e., press the Escape k)-3.331 F 1.13 -.15(ey t)-.1 H .83
+(hen the).15 F F3(x)4.1 E F0 -.1(ke)3.86 G 4.63 -.65(y. T)-.05 H .83
+(his mak).65 F(es)-.1 E .599(ESC the)108 554.4 R F3 .599(meta pr)3.099 F
+(e\214x)-.37 E F0 5.599(.T)C .599(he combination M\255C\255)-5.599 F F3
+(x)A F0 .599(means ESC\255Control\255)3.099 F F3(x)A F0 3.099(,o)C 3.099
+(rp)-3.099 G .6(ress the Escape k)-3.099 F .9 -.15(ey t)-.1 H .6
 (hen hold).15 F(the Control k)108 566.4 Q .3 -.15(ey w)-.1 H
 (hile pressing the).15 E F3(x)3.27 E F0 -.1(ke)3.03 G -.65(y.)-.05 G(\))
-.65 E .619(Readline commands may be gi)108 583.2 R -.15(ve)-.25 G 3.119
+.65 E .62(Readline commands may be gi)108 583.2 R -.15(ve)-.25 G 3.119
 (nn).15 G(umeric)-3.119 E F3(ar)3.119 E(guments)-.37 E F0 3.119(,w).27 G
-.619(hich normally act as a repeat count.)-3.119 F(Sometimes,)5.62 E(ho)
-108 595.2 Q(we)-.25 E -.15(ve)-.25 G 1.419 -.4(r, i).15 H 3.119(ti).4 G
-3.119(st)-3.119 G .619(he sign of the ar)-3.119 F .619
+.619(hich normally act as a repeat count.)-3.119 F(Sometimes,)5.619 E
+(ho)108 595.2 Q(we)-.25 E -.15(ve)-.25 G 1.418 -.4(r, i).15 H 3.118(ti)
+.4 G 3.119(st)-3.118 G .619(he sign of the ar)-3.119 F .619
 (gument that is signi\214cant.)-.18 F -.15(Pa)5.619 G .619(ssing a ne)
 .15 F -.05(ga)-.15 G(ti).05 E .919 -.15(ve a)-.25 H -.18(rg).15 G .619
-(ument to a command that).18 F 1.018(acts in the forw)108 607.2 R 1.018
+(ument to a command that).18 F 1.019(acts in the forw)108 607.2 R 1.018
 (ard direction \(e.g.,)-.1 F F1(kill\255line)3.518 E F0 3.518(\)c)C
-1.018(auses that command to act in a backw)-3.518 F 1.019
-(ard direction.)-.1 F(Com-)6.019 E(mands whose beha)108 619.2 Q
+1.018(auses that command to act in a backw)-3.518 F 1.018
+(ard direction.)-.1 F(Com-)6.018 E(mands whose beha)108 619.2 Q
 (vior with ar)-.2 E(guments de)-.18 E(viates from this are noted belo)
--.25 E -.65(w.)-.25 G .812(When a command is described as)108 636 R F3
+-.25 E -.65(w.)-.25 G .811(When a command is described as)108 636 R F3
 (killing)3.311 E F0(te)3.311 E .811(xt, the te)-.15 F .811
-(xt deleted is sa)-.15 F -.15(ve)-.2 G 3.311(df).15 G .811
-(or possible future retrie)-3.311 F -.25(va)-.25 G 3.311(l\().25 G F3
-(yank-)-3.311 E(ing)108 648 Q F0 2.529(\). The)B .029(killed te)2.529 F
+(xt deleted is sa)-.15 F -.15(ve)-.2 G 3.311(df).15 G .812
+(or possible future retrie)-3.311 F -.25(va)-.25 G 3.312(l\().25 G F3
+(yank-)-3.312 E(ing)108 648 Q F0 2.529(\). The)B .029(killed te)2.529 F
 .029(xt is sa)-.15 F -.15(ve)-.2 G 2.529(di).15 G 2.529(na)-2.529 G F3
 .029(kill ring)B F0 5.029(.C)C(onsecuti)-5.029 E .329 -.15(ve k)-.25 H
 .029(ills cause the te).15 F .029(xt to be accumulated into one unit,)
@@ -4867,30 +4872,30 @@ F0 .463(In this section, the Emacs-style notation is used to denote k)
 (xt separate the chunks of te)-.15 F .567(xt on the kill)-.15 F(ring.)
 108 672 Q F1(Readline Initialization)87 688.8 Q F0 .091(Readline is cus\
 tomized by putting commands in an initialization \214le \(the)108 700.8
-R F3(inputr)2.591 E(c)-.37 E F0 2.591(\214le\). The)2.591 F .092
-(name of this \214le)2.591 F .197(is tak)108 712.8 R .196(en from the v)
+R F3(inputr)2.591 E(c)-.37 E F0 2.591(\214le\). The)2.591 F .091
+(name of this \214le)2.591 F .196(is tak)108 712.8 R .196(en from the v)
 -.1 F .196(alue of the)-.25 F F2(INPUTRC)2.696 E F0 -.25(va)2.446 G
 2.696(riable. If).25 F .196(that v)2.696 F .196
 (ariable is unset, the def)-.25 F .196(ault is)-.1 F F3(~/.inputr)2.696
-E(c)-.37 E F0 5.196(.W).31 G .196(hen a)-5.196 F 1.034(program which us\
+E(c)-.37 E F0 5.196(.W).31 G .197(hen a)-5.196 F 1.034(program which us\
 es the readline library starts up, the initialization \214le is read, a\
-nd the k)108 724.8 R 1.335 -.15(ey b)-.1 H 1.035(indings and).15 F
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(38)197.335 E 0 Cg EP
+nd the k)108 724.8 R 1.334 -.15(ey b)-.1 H 1.034(indings and).15 F
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(38)192.895 E 0 Cg EP
 %%Page: 39 39
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E -.25(va)108 84 S
-1.15(riables are set.).25 F 1.15(There are only a fe)6.15 F 3.649(wb)
--.25 G 1.149(asic constructs allo)-3.649 F 1.149
-(wed in the readline initialization \214le.)-.25 F(Blank)6.149 E .736
+1.149(riables are set.).25 F 1.149(There are only a fe)6.149 F 3.649(wb)
+-.25 G 1.149(asic constructs allo)-3.649 F 1.15
+(wed in the readline initialization \214le.)-.25 F(Blank)6.15 E .737
 (lines are ignored.)108 96 R .737(Lines be)5.737 F .737(ginning with a)
 -.15 F/F1 10/Times-Bold@0 SF(#)3.237 E F0 .737(are comments.)3.237 F
-.737(Lines be)5.737 F .737(ginning with a)-.15 F F1($)3.237 E F0 .737
-(indicate conditional)3.237 F 2.5(constructs. Other)108 108 R
+.737(Lines be)5.737 F .737(ginning with a)-.15 F F1($)3.237 E F0 .736
+(indicate conditional)3.236 F 2.5(constructs. Other)108 108 R
 (lines denote k)2.5 E .3 -.15(ey b)-.1 H(indings and v).15 E
-(ariable settings.)-.25 E .987(The def)108 124.8 R .987(ault k)-.1 F
+(ariable settings.)-.25 E .986(The def)108 124.8 R .986(ault k)-.1 F
 -.15(ey)-.1 G .987(-bindings may be changed with an).15 F/F2 10
 /Times-Italic@0 SF(inputr)3.497 E(c)-.37 E F0 3.487(\214le. Other)3.797
 F .987(programs that use this library may)3.487 F(add their o)108 136.8
@@ -4900,11 +4905,11 @@ G(rsal\255ar).15 E(gument)-.18 E(or)108 182.4 Q(C\255Meta\255u: uni)144
 194.4 Q -.15(ve)-.25 G(rsal\255ar).15 E(gument)-.18 E(into the)108 206.4
 Q F2(inputr)2.51 E(c)-.37 E F0 -.1(wo)2.81 G(uld mak).1 E 2.5(eM)-.1 G
 (\255C\255u e)-2.5 E -.15(xe)-.15 G(cute the readline command).15 E F2
-(univer)2.5 E(sal\255ar)-.1 E(gument)-.37 E F0(.).68 E 1.26(The follo)
+(univer)2.5 E(sal\255ar)-.1 E(gument)-.37 E F0(.).68 E 1.261(The follo)
 108 223.2 R 1.261(wing symbolic character names are recognized:)-.25 F
 F2 -.4(RU)3.761 G(BOUT).4 E F0(,)1.27 E F2(DEL)3.761 E F0(,).53 E F2
-(ESC)3.761 E F0(,).72 E F2(LFD)3.761 E F0(,).28 E F2(NEWLINE)3.761 E F0
-(,).73 E F2(RET)3.761 E F0(,)1.27 E F2(RETURN)108 235.2 Q F0(,)1.1 E F2
+(ESC)3.761 E F0(,).72 E F2(LFD)3.761 E F0(,).28 E F2(NEWLINE)3.76 E F0
+(,).73 E F2(RET)3.76 E F0(,)1.27 E F2(RETURN)108 235.2 Q F0(,)1.1 E F2
 (SPC)2.5 E F0(,).72 E F2(SP)2.5 E -.3(AC)-.9 G(E).3 E F0 2.5(,a).73 G
 (nd)-2.5 E F2 -.5(TA)2.5 G(B).5 E F0(.).27 E .209
 (In addition to command names, readline allo)108 252 R .209(ws k)-.25 F
@@ -4915,46 +4920,46 @@ F2 -.4(RU)3.761 G(BOUT).4 E F0(,)1.27 E F2(DEL)3.761 E F0(,).53 E F2
 (The syntax for controlling k)108 292.8 R .666 -.15(ey b)-.1 H .366
 (indings in the).15 F F2(inputr)2.876 E(c)-.37 E F0 .366
 (\214le is simple.)3.176 F .366(All that is required is the name of the)
-5.366 F .264(command or the te)108 304.8 R .264(xt of a macro and a k)
+5.366 F .263(command or the te)108 304.8 R .264(xt of a macro and a k)
 -.15 F .564 -.15(ey s)-.1 H .264(equence to which it should be bound.)
-.15 F .263(The name may be speci-)5.264 F .853(\214ed in one of tw)108
+.15 F .264(The name may be speci-)5.264 F .853(\214ed in one of tw)108
 316.8 R 3.353(ow)-.1 G .853(ays: as a symbolic k)-3.453 F 1.153 -.15
 (ey n)-.1 H .853(ame, possibly with).15 F F2(Meta\255)3.353 E F0(or)
 3.353 E F2(Contr)3.353 E(ol\255)-.45 E F0(pre\214x)3.353 E .853
-(es, or as a k)-.15 F -.15(ey)-.1 G(sequence.)108 328.8 Q .161
-(When using the form)108 345.6 R F1 -.1(ke)2.661 G(yname).1 E F0(:)A F2
-(function\255name).833 E F0(or)2.661 E F2(macr)2.661 E(o)-.45 E F0(,)A
-F2 -.1(ke)2.661 G(yname)-.2 E F0 .16(is the name of a k)2.84 F .46 -.15
-(ey s)-.1 H .16(pelled out in Eng-).15 F 2.5(lish. F)108 357.6 R(or e)
+(es, or as a k)-.15 F -.15(ey)-.1 G(sequence.)108 328.8 Q .16
+(When using the form)108 345.6 R F1 -.1(ke)2.66 G(yname).1 E F0(:)A F2
+(function\255name).833 E F0(or)2.66 E F2(macr)2.66 E(o)-.45 E F0(,)A F2
+-.1(ke)2.66 G(yname)-.2 E F0 .161(is the name of a k)2.84 F .461 -.15
+(ey s)-.1 H .161(pelled out in Eng-).15 F 2.5(lish. F)108 357.6 R(or e)
 -.15 E(xample:)-.15 E(Control-u: uni)144 381.6 Q -.15(ve)-.25 G
 (rsal\255ar).15 E(gument)-.18 E(Meta-Rubout: backw)144 393.6 Q
-(ard-kill-w)-.1 E(ord)-.1 E(Control-o: "> output")144 405.6 Q .698
+(ard-kill-w)-.1 E(ord)-.1 E(Control-o: "> output")144 405.6 Q .699
 (In the abo)108 422.4 R .998 -.15(ve ex)-.15 H(ample,).15 E F2(C\255u)
 3.038 E F0 .698(is bound to the function)3.448 F F1(uni)3.198 E -.1(ve)
 -.1 G(rsal\255ar).1 E(gument)-.1 E F0(,)A F2(M\255DEL)3.878 E F0 .698
 (is bound to the func-)3.728 F(tion)108 434.4 Q F1
-(backward\255kill\255w)2.759 E(ord)-.1 E F0 2.759(,a)C(nd)-2.759 E F2
-(C\255o)2.599 E F0 .258(is bound to run the macro e)2.939 F .258
+(backward\255kill\255w)2.758 E(ord)-.1 E F0 2.758(,a)C(nd)-2.758 E F2
+(C\255o)2.598 E F0 .258(is bound to run the macro e)2.938 F .259
 (xpressed on the right hand side \(that is, to)-.15 F(insert the te)108
 446.4 Q(xt)-.15 E/F3 10/Courier@0 SF 6(>o)2.5 G(utput)-6 E F0
-(into the line\).)2.5 E .055(In the second form,)108 463.2 R F1("k)2.555
-E(eyseq")-.1 E F0(:)A F2(function\255name).833 E F0(or)2.555 E F2(macr)
-2.555 E(o)-.45 E F0(,)A F1 -.1(ke)2.555 G(yseq).1 E F0(dif)2.556 E .056
-(fers from)-.25 F F1 -.1(ke)2.556 G(yname).1 E F0(abo)2.556 E .356 -.15
-(ve i)-.15 H 2.556(nt).15 G .056(hat strings)-2.556 F 1.284
+(into the line\).)2.5 E .056(In the second form,)108 463.2 R F1("k)2.556
+E(eyseq")-.1 E F0(:)A F2(function\255name).833 E F0(or)2.556 E F2(macr)
+2.556 E(o)-.45 E F0(,)A F1 -.1(ke)2.556 G(yseq).1 E F0(dif)2.555 E .055
+(fers from)-.25 F F1 -.1(ke)2.555 G(yname).1 E F0(abo)2.555 E .355 -.15
+(ve i)-.15 H 2.555(nt).15 G .055(hat strings)-2.555 F 1.284
 (denoting an entire k)108 475.2 R 1.584 -.15(ey s)-.1 H 1.284(equence m\
 ay be speci\214ed by placing the sequence within double quotes.).15 F
-(Some)6.284 E .385(GNU Emacs style k)108 487.2 R .685 -.15(ey e)-.1 H
-.385(scapes can be used, as in the follo).15 F .385(wing e)-.25 F .386
-(xample, b)-.15 F .386(ut the symbolic character names)-.2 F
+(Some)6.284 E .386(GNU Emacs style k)108 487.2 R .686 -.15(ey e)-.1 H
+.385(scapes can be used, as in the follo).15 F .385(wing e)-.25 F .385
+(xample, b)-.15 F .385(ut the symbolic character names)-.2 F
 (are not recognized.)108 499.2 Q("\\C\255u": uni)144 523.2 Q -.15(ve)
 -.25 G(rsal\255ar).15 E(gument)-.18 E
 ("\\C\255x\\C\255r": re\255read\255init\255\214le)144 535.2 Q
-("\\e[11~": "Function K)144 547.2 Q .3 -.15(ey 1)-.25 H(").15 E .315
-(In this e)108 564 R(xample,)-.15 E F2(C\255u)2.655 E F0 .315(is ag)
-3.065 F .315(ain bound to the function)-.05 F F1(uni)2.815 E -.1(ve)-.1
+("\\e[11~": "Function K)144 547.2 Q .3 -.15(ey 1)-.25 H(").15 E .314
+(In this e)108 564 R(xample,)-.15 E F2(C\255u)2.654 E F0 .314(is ag)
+3.064 F .315(ain bound to the function)-.05 F F1(uni)2.815 E -.1(ve)-.1
 G(rsal\255ar).1 E(gument)-.1 E F0(.)A F2 .315(C\255x C\255r)5.155 F F0
-.314(is bound to the func-)3.544 F(tion)108 576 Q F1 -.18(re)2.5 G<ad72>
+.315(is bound to the func-)3.545 F(tion)108 576 Q F1 -.18(re)2.5 G<ad72>
 .18 E(ead\255init\255\214le)-.18 E F0 2.5(,a)C(nd)-2.5 E F2(ESC [ 1 1 ~)
 3.01 E F0(is bound to insert the te)3.94 E(xt)-.15 E F3(Function Key 1)
 2.5 E F0(.)A(The full set of GNU Emacs style escape sequences is)108
@@ -4966,7 +4971,7 @@ F0(literal \010)180 664.8 Q(In addition to the GNU Emacs style escape s\
 equences, a second set of backslash escapes is a)108 681.6 Q -.25(va)-.2
 G(ilable:).25 E F1(\\a)144 693.6 Q F0(alert \(bell\))180 693.6 Q F1(\\b)
 144 705.6 Q F0(backspace)180 705.6 Q F1(\\d)144 717.6 Q F0(delete)180
-717.6 Q(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(39)197.335 E 0 Cg
+717.6 Q(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(39)192.895 E 0 Cg
 EP
 %%Page: 40 40
 %%BeginPageSetup
@@ -4982,51 +4987,50 @@ SF(\\f)144 84 Q F0(form feed)180 84 Q F1(\\n)144 96 Q F0(ne)180 96 Q
 (alue)-.25 E F2(nnn)2.5 E F0(\(one to three digits\))2.5 E F1(\\x)144
 156 Q F2(HH)A F0(the eight-bit character whose v)180 156 Q
 (alue is the he)-.25 E(xadecimal v)-.15 E(alue)-.25 E F2(HH)2.5 E F0
-(\(one or tw)2.5 E 2.5(oh)-.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E 1.141
+(\(one or tw)2.5 E 2.5(oh)-.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E 1.142
 (When entering the te)108 172.8 R 1.141(xt of a macro, single or double\
- quotes must be used to indicate a macro de\214nition.)-.15 F .09
-(Unquoted te)108 184.8 R .09(xt is assumed to be a function name.)-.15 F
-.089(In the macro body)5.089 F 2.589(,t)-.65 G .089
-(he backslash escapes described abo)-2.589 F -.15(ve)-.15 G(are e)108
+ quotes must be used to indicate a macro de\214nition.)-.15 F .089
+(Unquoted te)108 184.8 R .089(xt is assumed to be a function name.)-.15
+F .09(In the macro body)5.089 F 2.59(,t)-.65 G .09
+(he backslash escapes described abo)-2.59 F -.15(ve)-.15 G(are e)108
 196.8 Q 2.5(xpanded. Backslash)-.15 F(will quote an)2.5 E 2.5(yo)-.15 G
 (ther character in the macro te)-2.5 E(xt, including " and \010.)-.15 E
-F1(Bash)108 213.6 Q F0(allo)2.929 E .429(ws the current readline k)-.25
-F .729 -.15(ey b)-.1 H .429
-(indings to be displayed or modi\214ed with the).15 F F1(bind)2.93 E F0
--.2(bu)2.93 G .43(iltin command.).2 F .046
-(The editing mode may be switched during interacti)108 225.6 R .346 -.15
-(ve u)-.25 H .046(se by using the).15 F F1<ad6f>2.545 E F0 .045
-(option to the)2.545 F F1(set)2.545 E F0 -.2(bu)2.545 G .045
+F1(Bash)108 213.6 Q F0(allo)2.93 E .43(ws the current readline k)-.25 F
+.73 -.15(ey b)-.1 H .429(indings to be displayed or modi\214ed with the)
+.15 F F1(bind)2.929 E F0 -.2(bu)2.929 G .429(iltin command.).2 F .045
+(The editing mode may be switched during interacti)108 225.6 R .345 -.15
+(ve u)-.25 H .046(se by using the).15 F F1<ad6f>2.546 E F0 .046
+(option to the)2.546 F F1(set)2.546 E F0 -.2(bu)2.546 G .046
 (iltin command).2 F(\(see)108 237.6 Q/F3 9/Times-Bold@0 SF(SHELL B)2.5 E
 (UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25 E F1
-(Readline V)87 254.4 Q(ariables)-.92 E F0 .043(Readline has v)108 266.4
+(Readline V)87 254.4 Q(ariables)-.92 E F0 .044(Readline has v)108 266.4
 R .043(ariables that can be used to further customize its beha)-.25 F
 (vior)-.2 E 5.043(.A)-.55 G -.25(va)-2.5 G .043
-(riable may be set in the).25 F F2(inpu-)2.554 E(tr)108 278.4 Q(c)-.37 E
+(riable may be set in the).25 F F2(inpu-)2.553 E(tr)108 278.4 Q(c)-.37 E
 F0(\214le with a statement of the form)2.81 E F1(set)144 295.2 Q F2
 (variable\255name value)2.5 E F0 .79(Except where noted, readline v)108
 312 R .79(ariables can tak)-.25 F 3.29(et)-.1 G .79(he v)-3.29 F(alues)
 -.25 E F1(On)3.29 E F0(or)3.29 E F1(Off)3.29 E F0 .79(\(without re)3.29
-F -.05(ga)-.15 G .79(rd to case\).).05 F(Unrecog-)5.79 E .448(nized v)
+F -.05(ga)-.15 G .79(rd to case\).).05 F(Unrecog-)5.79 E .449(nized v)
 108 324 R .448(ariable names are ignored.)-.25 F .448(When a v)5.448 F
-.448(ariable v)-.25 F .448(alue is read, empty or null v)-.25 F .449
-(alues, "on" \(case-insensi-)-.25 F(ti)108 336 Q -.15(ve)-.25 G .468
+.448(ariable v)-.25 F .448(alue is read, empty or null v)-.25 F .448
+(alues, "on" \(case-insensi-)-.25 F(ti)108 336 Q -.15(ve)-.25 G .467
 (\), and "1" are equi).15 F -.25(va)-.25 G .468(lent to).25 F F1(On)
 2.968 E F0 5.468(.A)C .468(ll other v)-5.468 F .468(alues are equi)-.25
-F -.25(va)-.25 G .468(lent to).25 F F1(Off)2.968 E F0 5.468(.T)C .467
-(he v)-5.468 F .467(ariables and their def)-.25 F(ault)-.1 E -.25(va)108
-348 S(lues are:).25 E F1(bell\255style \(audible\))108 364.8 Q F0 .01
+F -.25(va)-.25 G .468(lent to).25 F F1(Off)2.968 E F0 5.468(.T)C .468
+(he v)-5.468 F .468(ariables and their def)-.25 F(ault)-.1 E -.25(va)108
+348 S(lues are:).25 E F1(bell\255style \(audible\))108 364.8 Q F0 .011
 (Controls what happens when readline w)144 376.8 R .011
-(ants to ring the terminal bell.)-.1 F .011(If set to)5.011 F F1(none)
-2.511 E F0 2.511(,r)C .011(eadline ne)-2.511 F -.15(ve)-.25 G(r).15 E
-.94(rings the bell.)144 388.8 R .94(If set to)5.94 F F1(visible)3.44 E
-F0 3.44(,r)C .94(eadline uses a visible bell if one is a)-3.44 F -.25
-(va)-.2 G 3.44(ilable. If).25 F .94(set to)3.44 F F1(audible)3.44 E F0
-(,)A(readline attempts to ring the terminal')144 400.8 Q 2.5(sb)-.55 G
-(ell.)-2.5 E F1(bind\255tty\255special\255chars \(On\))108 412.8 Q F0
-.055(If set to)144 424.8 R F1(On)2.555 E F0 2.555(,r)C .056(eadline att\
-empts to bind the control characters treated specially by the k)-2.555 F
-(ernel')-.1 E 2.556(st)-.55 G(ermi-)-2.556 E(nal dri)144 436.8 Q -.15
+(ants to ring the terminal bell.)-.1 F .01(If set to)5.01 F F1(none)2.51
+E F0 2.51(,r)C .01(eadline ne)-2.51 F -.15(ve)-.25 G(r).15 E .94
+(rings the bell.)144 388.8 R .94(If set to)5.94 F F1(visible)3.44 E F0
+3.44(,r)C .94(eadline uses a visible bell if one is a)-3.44 F -.25(va)
+-.2 G 3.44(ilable. If).25 F .94(set to)3.44 F F1(audible)3.44 E F0(,)A
+(readline attempts to ring the terminal')144 400.8 Q 2.5(sb)-.55 G(ell.)
+-2.5 E F1(bind\255tty\255special\255chars \(On\))108 412.8 Q F0 .056
+(If set to)144 424.8 R F1(On)2.556 E F0 2.556(,r)C .056(eadline attempt\
+s to bind the control characters treated specially by the k)-2.556 F
+(ernel')-.1 E 2.555(st)-.55 G(ermi-)-2.555 E(nal dri)144 436.8 Q -.15
 (ve)-.25 G 2.5(rt).15 G 2.5(ot)-2.5 G(heir readline equi)-2.5 E -.25(va)
 -.25 G(lents.).25 E F1(blink\255matching\255par)108 448.8 Q(en \(Off\))
 -.18 E F0 .21(If set to)144 460.8 R F1(On)2.71 E F0 2.71(,r)C .21
@@ -5036,38 +5040,38 @@ empts to bind the control characters treated specially by the k)-2.555 F
 (ed\255completion\255pr)-.18 E(e\214x \(Off\))-.18 E F0 .515(If set to)
 144 496.8 R F1(On)3.015 E F0 3.015(,w)C .515(hen listing completions, r\
 eadline displays the common pre\214x of the set of possible)-3.015 F
-2.936(completions using a dif)144 508.8 R 2.936(ferent color)-.25 F
-7.936(.T)-.55 G 2.936(he color de\214nitions are tak)-7.936 F 2.935
-(en from the v)-.1 F 2.935(alue of the)-.25 F F1(LS_COLORS)144 520.8 Q
+2.935(completions using a dif)144 508.8 R 2.935(ferent color)-.25 F
+7.936(.T)-.55 G 2.936(he color de\214nitions are tak)-7.936 F 2.936
+(en from the v)-.1 F 2.936(alue of the)-.25 F F1(LS_COLORS)144 520.8 Q
 F0(en)2.5 E(vironment v)-.4 E(ariable.)-.25 E F1(color)108 532.8 Q
-(ed\255stats \(Off\))-.18 E F0 1.579(If set to)144 544.8 R F1(On)4.079 E
-F0 4.079(,r)C 1.579(eadline displays possible completions using dif)
--4.079 F 1.58(ferent colors to indicate their \214le)-.25 F 2.5
-(type. The)144 556.8 R(color de\214nitions are tak)2.5 E(en from the v)
--.1 E(alue of the)-.25 E F1(LS_COLORS)2.5 E F0(en)2.5 E(vironment v)-.4
-E(ariable.)-.25 E F1(comment\255begin \(`)108 568.8 Q(`#')-.63 E('\))
--.63 E F0 .885(The string that is inserted when the readline)144 580.8 R
-F1(insert\255comment)3.385 E F0 .884(command is e)3.384 F -.15(xe)-.15 G
-3.384(cuted. This).15 F(com-)3.384 E(mand is bound to)144 592.8 Q F1
+(ed\255stats \(Off\))-.18 E F0 1.58(If set to)144 544.8 R F1(On)4.08 E
+F0 4.08(,r)C 1.579(eadline displays possible completions using dif)-4.08
+F 1.579(ferent colors to indicate their \214le)-.25 F 2.5(type. The)144
+556.8 R(color de\214nitions are tak)2.5 E(en from the v)-.1 E
+(alue of the)-.25 E F1(LS_COLORS)2.5 E F0(en)2.5 E(vironment v)-.4 E
+(ariable.)-.25 E F1(comment\255begin \(`)108 568.8 Q(`#')-.63 E('\))-.63
+E F0 .884(The string that is inserted when the readline)144 580.8 R F1
+(insert\255comment)3.385 E F0 .885(command is e)3.385 F -.15(xe)-.15 G
+3.385(cuted. This).15 F(com-)3.385 E(mand is bound to)144 592.8 Q F1
 (M\255#)2.5 E F0(in emacs mode and to)2.5 E F1(#)2.5 E F0
 (in vi command mode.)2.5 E F1(completion\255display\255width \(-1\))108
 604.8 Q F0 1.453(The number of screen columns used to display possible \
-matches when performing completion.)144 616.8 R .194(The v)144 628.8 R
+matches when performing completion.)144 616.8 R .193(The v)144 628.8 R
 .193(alue is ignored if it is less than 0 or greater than the terminal \
-screen width.)-.25 F 2.693(Av)5.193 G .193(alue of 0 will)-2.943 F
+screen width.)-.25 F 2.694(Av)5.194 G .194(alue of 0 will)-2.944 F
 (cause matches to be displayed one per line.)144 640.8 Q(The def)5 E
 (ault v)-.1 E(alue is -1.)-.25 E F1(completion\255ignor)108 652.8 Q
 (e\255case \(Off\))-.18 E F0(If set to)144 664.8 Q F1(On)2.5 E F0 2.5
 (,r)C(eadline performs \214lename matching and completion in a case\255\
 insensiti)-2.5 E .3 -.15(ve f)-.25 H(ashion.).05 E F1
-(completion\255map\255case \(Off\))108 676.8 Q F0 .093(If set to)144
+(completion\255map\255case \(Off\))108 676.8 Q F0 .094(If set to)144
 688.8 R F1(On)2.593 E F0 2.593(,a)C(nd)-2.593 E F1(completion\255ignor)
 2.593 E(e\255case)-.18 E F0 .093(is enabled, readline treats h)2.593 F
-.093(yphens \()-.05 F F2<ad>A F0 2.593(\)a)C .094(nd underscores)-2.593
+.093(yphens \()-.05 F F2<ad>A F0 2.593(\)a)C .093(nd underscores)-2.593
 F(\()144 700.8 Q F2(_)A F0 2.5(\)a)C 2.5(se)-2.5 G(qui)-2.5 E -.25(va)
 -.25 G(lent when performing case\255insensiti).25 E .3 -.15(ve \214)-.25
 H(lename matching and completion.).15 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(40)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(40)192.895 E 0 Cg EP
 %%Page: 41 41
 %%BeginPageSetup
 BP
@@ -5076,29 +5080,29 @@ BP
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF(completion\255pr)108 84 Q(e\214x\255display\255length \(0\))-.18 E F0
 .829(The length in characters of the common pre\214x of a list of possi\
-ble completions that is displayed)144 96 R 1.274
-(without modi\214cation.)144 108 R 1.274(When set to a v)6.274 F 1.274
-(alue greater than zero, common pre\214x)-.25 F 1.275
+ble completions that is displayed)144 96 R 1.275
+(without modi\214cation.)144 108 R 1.275(When set to a v)6.275 F 1.274
+(alue greater than zero, common pre\214x)-.25 F 1.274
 (es longer than this)-.15 F -.25(va)144 120 S(lue are replaced with an \
 ellipsis when displaying possible completions.).25 E F1
-(completion\255query\255items \(100\))108 132 Q F0 .53
-(This determines when the user is queried about vie)144 144 R .529
-(wing the number of possible completions gen-)-.25 F .56(erated by the)
-144 156 R F1(possible\255completions)3.06 E F0 3.06(command. It)3.06 F
-.561(may be set to an)3.061 F 3.061(yi)-.15 G(nte)-3.061 E .561(ger v)
--.15 F .561(alue greater than or)-.25 F .783(equal to zero.)144 168 R
+(completion\255query\255items \(100\))108 132 Q F0 .529
+(This determines when the user is queried about vie)144 144 R .53
+(wing the number of possible completions gen-)-.25 F .561(erated by the)
+144 156 R F1(possible\255completions)3.061 E F0 3.061(command. It)3.061
+F .561(may be set to an)3.061 F 3.06(yi)-.15 G(nte)-3.06 E .56(ger v)
+-.15 F .56(alue greater than or)-.25 F .782(equal to zero.)144 168 R
 .783(If the number of possible completions is greater than or equal to \
-the v)5.783 F .782(alue of this)-.25 F -.25(va)144 180 S .237
+the v)5.782 F .783(alue of this)-.25 F -.25(va)144 180 S .237
 (riable, the user is ask).25 F .237(ed whether or not he wishes to vie)
 -.1 F 2.737(wt)-.25 G .237(hem; otherwise the)-2.737 F 2.737(ya)-.15 G
 .237(re simply listed)-2.737 F(on the terminal.)144 192 Q F1(con)108 204
-Q -.1(ve)-.4 G(rt\255meta \(On\)).1 E F0 .613(If set to)144 216 R F1(On)
-3.113 E F0 3.113(,r)C .613(eadline will con)-3.113 F -.15(ve)-.4 G .613
-(rt characters with the eighth bit set to an ASCII k).15 F .912 -.15
-(ey s)-.1 H .612(equence by).15 F .541
+Q -.1(ve)-.4 G(rt\255meta \(On\)).1 E F0 .612(If set to)144 216 R F1(On)
+3.112 E F0 3.112(,r)C .613(eadline will con)-3.112 F -.15(ve)-.4 G .613
+(rt characters with the eighth bit set to an ASCII k).15 F .913 -.15
+(ey s)-.1 H .613(equence by).15 F .541
 (stripping the eighth bit and pre\214xing an escape character \(in ef)
 144 228 R .541(fect, using escape as the)-.25 F/F2 10/Times-Italic@0 SF
-.542(meta pr)3.042 F(e-)-.37 E<8c78>144 240 Q F0 2.5(\). The)B(def)2.5 E
+.541(meta pr)3.041 F(e-)-.37 E<8c78>144 240 Q F0 2.5(\). The)B(def)2.5 E
 (ault is)-.1 E F2(On)2.5 E F0 2.5(,b)C(ut readline will set it to)-2.7 E
 F2(Of)2.5 E(f)-.18 E F0(if the locale contains eight-bit characters.)2.5
 E F1(disable\255completion \(Off\))108 252 Q F0 .038(If set to)144 264 R
